[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Append

Append a new record to the data

## Declaration

Source position: db.pas line 1673

`public procedure TDataSet.Append;`

## Description

Append appends a new record at the end of the dataset. It is functionally equal to the TDataset.Insert call, but the cursor is positioned at the end of the dataset prior to performing the insert operation. The same events occur as when the Insert call is made.

## See also

TDataset.Insert |  | Insert a new record at the current position.
TDataset.Edit |  | Set the dataset in editing mode.